<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SerialInterface Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_serial_interface.html">SerialInterface</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#ae4f4b165b49c75cb28bc1e4fffaf533d">appendData</a>(const XsByteArray &amp;bdata)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#aa354a286592ff1f36195d22ab7bd3275">cancelIo</a>(void) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a70e928fd30e224db496182b3a20e04a0">close</a>(void)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a108ea51f7057bc5f762052777e7baa00">closeAndDelete</a>(void)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a901f00e6b6a1f095530855a532d81c24">closeLive</a>(void)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a3e82060ef66d73b95b383f75867f3e0f">create</a>(const XsString &amp;filename)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a5c4a40c13cdd1dbd36da1323f8d8236c">deleteData</a>(XsFilePos start, XsSize length)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a1844b132ec921b271eeed468b1b6d092">escape</a>(XsControlLine mask, XsControlLine state)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a6256ce5c2def7b6f6961cedd8199e35e">find</a>(const XsByteArray &amp;needleV, XsFilePos &amp;pos)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#ae53f1d6d64bbc94e47c0203d64bce2f1">flushData</a>(void)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#aeb78f2ec8cc9c8f50e404d553d3cff37">getBaudrate</a>(void) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#af7acf94e2070b556290d969a324e8b93">getFileSize</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#ab8cea24693959ca0f5851150cc134962">getHandle</a>(void) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a438cc68bd7dccdf526939350d57a9690">getLastResult</a>(void) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a7bbdfbb5caad826f6e6d81a73940fd0d">getName</a>(XsString &amp;filename) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a3f6e7a5fb2f1bb03efc085b27a539ed5">getPortName</a>(XsString &amp;portname) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#af6abb16f34bac12008f08b28f196c65a">getPortNumber</a>(void) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a396d5028db152401dd83cfe8f0b6977e">getReadPosition</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a2d2e3a6fedb9f40d1781c5039eadd9e4">getTimeout</a>(void) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a6ce051fb4db1dbace80bb0545b9cd343">getWritePosition</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#ad0d5e78791e017e06f8beaa6561bd844">insertData</a>(XsFilePos start, const XsByteArray &amp;data)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a0a4be67f0496efa12593cc69a802d784">IoInterface</a>()</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a7730cb3cd3013186e77a4761ce7682ce">isOpen</a>(void) const </td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a905628de220b542bdfbf3692a55de428">isReadOnly</a>(void) const </td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#ad36bafbd5446dadd31d48dbb0692c245">m_baudrate</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a60d28f793f93febcf67e68305ceee351">m_commState</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a9e2a266784885259dc03646806a8c9c4">m_endTime</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a41dd143df945a161bd51c1d46b4d5bd4">m_handle</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#ae1aa68fe0a7472a809624d93cdbac5ef">m_lastResult</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a960075ede31e8ba85c74219e862faa79">m_port</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a538bf768266b442f8c98f083af4d6250">m_portname</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#af1224eb8876eabb887a03e96163df160">m_timeout</a></td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a10cad30ffd713aa0e3316f3787073e48">open</a>(const XsPortInfo &amp;portInfo, uint32_t readBufSize=(XS_MAXMSGLEN *8), uint32_t writeBufSize=XS_MAXMSGLEN, PortOptions options=PO_XsensDefaults)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a041ed4c0878f91fa8c41a72aa7b3e802">StreamInterface::open</a>(const XsString &amp;filename, bool createNew, bool readOnly)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PO_DtrDsrFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PO_NoFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PO_OneStopBit</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PO_RtsCtsFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PO_TwoStopBits</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PO_XonXoffFlowControl</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PO_XsensDefaults</b> enum value (defined in <a class="el" href="struct_io_interface.html">IoInterface</a>)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_io_interface.html#a24230835a198e4af06866402ac41f22a">PortOptions</a> enum name</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#aec2eaf73e258e0bbc4b13418ccbc2978">readData</a>(XsSize maxLength, XsByteArray &amp;data)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a1e52fefbfd802da3e838097061f6b512">SerialInterface</a>()</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a6e75151a26492f0fa9666edabc09d817">setReadPosition</a>(XsFilePos pos)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#aef4451a5710b1b3f30abf2bf24b07752">setTimeout</a>(uint32_t ms)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a115109da1f9f05a36222f00cd569cd52">setWritePosition</a>(XsFilePos pos=-1)</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_stream_interface.html#ab40993736e0f3c472c19293355a26389">StreamInterface</a>()</td><td class="entry"><a class="el" href="class_stream_interface.html">StreamInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_serial_interface.html#a6904ca085d855299772e2582f77e2dbe">waitForData</a>(XsSize maxLength, XsByteArray &amp;data)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#ae8347662088075a3dc32e6c7aca12e8c">writeData</a>(const XsByteArray &amp;data, XsSize *written=0)</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_io_interface.html#a738a8cb24aa12562b04c5067bd3d99b7">~IoInterface</a>()</td><td class="entry"><a class="el" href="struct_io_interface.html">IoInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_serial_interface.html#a9054e926165962e4cf6b44b858075483">~SerialInterface</a>()</td><td class="entry"><a class="el" href="class_serial_interface.html">SerialInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_stream_interface.html#a747b4b4bc61925c6750ee35a54de30c5">~StreamInterface</a>()</td><td class="entry"><a class="el" href="class_stream_interface.html">StreamInterface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
